## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/tari01/libodiosacd

Name:           libodiosacd
Version:        23.8.1
Release:        %autorelease
Summary:        SACD decoder shared library

License:        GPL-3.0-or-later
URL:            https://tari.in/www/software/libodiosacd/
Source:         %{forgeurl}/archive/%{version}/%{name}-%{version}.tar.gz
# fix missing symbols due to non-lazy binding (-Wl,-z,now)
# fix timestamps and permissions
Patch:          %{name}-fedora.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed

%description
The Odio SACD shared library is a decoding engine which takes a Super Audio CD
source and extracts a 24-bit high resolution wave file. It handles both DST and
DSD streams.

The library reads the following input:
- SACD image files (*.iso)
- Sony DSF files (*.dsf)
- Philips DSDIFF files (*.dff)

Supported output sample rates:
- 88.2kHz
- 176.4kHz

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1
chmod -x COPYING Makefile src/*.{c,h} src/*/*.{c,h}

%build
%set_build_flags
# Makefile takes optimization level from commandline
%make_build O=2

%install
# make install chooses lib64 if it exists
install -dm755 %{buildroot}%{_libdir}
%make_install

%files
%license COPYING
%doc README.md
%{_libdir}/%{name}.so.1{,.*}

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}.so

%changelog
## START: Generated by rpmautospec
* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 23.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 23.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 14 2023 Dominik Mierzejewski <dominik@greysector.net> - 23.8.1-4
- fix undefined symbols, take 2

* Sun Sep 10 2023 Dominik Mierzejewski <dominik@greysector.net> - 23.8.1-3
- fix missing symbols due to non-lazy binding
- preserve file timestamps and fix permissions
- add comments about weird Makefile

* Fri Sep 08 2023 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 23.8.1-2
- fix build on non-x86
- fix sed command so that they actually work
- remove executable permission from sources
- fix SONAME glob

* Fri Aug 04 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 23.8.1-1
- Update to 23.8.1

* Fri Aug 04 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 22.7.4-1
- Initial import; Fixes: RHBZ#2110108
## END: Generated by rpmautospec
